# Shortnr

Shortnr is a simple tool to shorten a Hash into
a handy string so longer params can still fit
the URL in a semi-friendly manner.

It has zero dependencies and can work with any
store that supports `get` and `set` commands in a key value fashion.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'shortnr'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install shortnr

## Usage

Shortnr is intentionally lightweight to allow any ajaxy, cruddy or other fantastic implementation.

Example usage with Redis (note that with a connection pool, you need to pass the connection)

```ruby
shortnr = Shortnr.new(store: Redis.new)
shortened_params = shortnr.shorten({ id: 5, values: "Very long values that look just terrible in a url"})
# Now, use shortened params in the url

# To get back to the params:
params = shortnr.find(shortened_params)
```
## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/shortnr. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

